.modal__content
{
    background-color: $modal_content_background;

    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;

    max-height: 100%;

    overflow: auto;

    padding: $modal_content_offset_top_em $modal_content_offset_left_em;

    /* for .modal__close--icon */
    position: relative;

    width: 100%;
}

.modal__content--fancy
{
    -moz-transform: scale(0, 0);
    -ms-transform: scale(0, 0);
    -o-transform: scale(0, 0);
    -webkit-transform: scale(0, 0);
    transform: scale(0, 0);
    -moz-transition: transform $modal_transition_duration_small_s;
    -o-transition: transform $modal_transition_duration_small_s;
    -webkit-transition: transform $modal_transition_duration_small_s;
    transition: transform $modal_transition_duration_small_s;
}

.modal--on .modal__content--fancy
{
    -moz-transform: scale(1, 1);
    -ms-transform: scale(1, 1);
    -o-transform: scale(1, 1);
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
}

    .modal__content--isophobic
    {
        padding-bottom: $modal_content_isophobic_offset_top_em;
        padding-top: $modal_content_isophobic_offset_top_em;
    }

.modal__content--slim
{
    max-width: $modal_content_width_slimpx;
}

.modal__content--slimmer
{
    max-width: $modal_content_width_slimmerpx;
}

.modal__content--transparent
{
    background: none;
}
